Bug 810378 - RFE - Search needed on repository selection during promotion
RFE - Search needed on repository selection during promotion
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Og Maciel
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 15:36 EDT by James Laska
Modified: 2014-09-18 11:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
This enhancement adds a search feature for repositories on the Changeset page. Changesets with too many repositories become difficult to manage so a search feature was implemented to make it easier to add and remove specific repositories.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:44:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (after scrolling down).png (68.53 KB, image/png)
2012-04-05 15:36 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2012-04-05 15:36:44 EDT
Created attachment 575531 [details]
Screenshot (after scrolling down).png

Description of problem:

My system engine has a *lot* of repositories enabled and synced (~40).  They are all similarly named, but with minor differences at the end of their name.

For example ..

> Red Hat CloudForms Tools for RHEL $VER RPMs $ARCH $RELEASEVER
> Red Hat Enterprise Linux $VER Server RPMs $ARCH $RELEASEVER
> Red Hat CloudForms Cloud Engine RPMs x86_64 $RELEASEVER
> Red Hat CloudForms System Engine Beta RPMs x86_64 $RELEASEVER

It would be really helpful to have search enabled on the web-ui so I could easily filter to pick specific repositories.

Version-Release number of selected component (if applicable):
 * katello-0.1.307-1.el6.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.0.4-1.el6.src.rpm
 * katello-cli-0.1.107-1.el6.src.rpm
 * katello-configure-0.1.107-1.el6.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.10-1.el6.src.rpm
 * pulp-1.0.2-1.el6.src.rpm

How reproducible:


Steps to Reproduce:
1. Enable and sync a lot of repos
2. Create a new promotion changeset
3. Attempt to add repos to changeset
  
Actual results:

 * It's not easy to pick the exact repos you want when the list is long, and they are so similarly named.

Expected results:

 * I instinctively went for the search button, but found that search is not enabled for this view.
Additional info:
Comment 1 Justin Sherrill 2012-04-17 17:16:57 EDT
in katello master:

cabc7d674598184f7a35974cf50aced3d7021868
Comment 2 Mike McCune 2012-05-10 19:39:36 EDT
1.1, not severe enough for 1.0.z
Comment 4 Og Maciel 2012-09-22 12:05:12 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 6 errata-xmlrpc 2012-12-04 14:44:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.